## ros-iron-warehouse-ros 2.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(warehouse_ros)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(Boost REQUIRED COMPONENTS system filesystem thread)
find_package(OpenSSL REQUIRED)

include_directories(
  include
  ${OPENSSL_INCLUDE_DIR}
)

set(warehouse_srcs
  src/database_loader.cpp
  src/transform_collection.cpp)

add_library(warehouse_ros SHARED ${warehouse_srcs})
set_target_properties(warehouse_ros PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
ament_target_dependencies(warehouse_ros
  rclcpp
  std_msgs
  geometry_msgs
  pluginlib
  tf2
  tf2_ros
  tf2_geometry_msgs
  Boost
)
target_link_libraries(warehouse_ros ${OPENSSL_CRYPTO_LIBRARY})
target_include_directories(warehouse_ros
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  PUBLIC $<INSTALL_INTERFACE:include>
)

add_executable(warehouse_test_dbloader src/test_dbloader.cpp)
ament_target_dependencies(warehouse_test_dbloader
  rclcpp
  std_msgs
  geometry_msgs
  pluginlib
  tf2
  tf2_ros
  tf2_geometry_msgs
  Boost
)
target_link_libraries(warehouse_test_dbloader warehouse_ros ${OPENSSL_CRYPTO_LIBRARY})

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(rclcpp)
ament_export_dependencies(std_msgs)
ament_export_dependencies(geometry_msgs)
ament_export_dependencies(pluginlib)
ament_export_dependencies(tf2)
ament_export_dependencies(tf2_ros)
ament_export_dependencies(tf2_geometry_msgs)
ament_export_dependencies(Boost)
ament_export_dependencies(OpenSSL)

install(
  TARGETS warehouse_ros
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS warehouse_test_dbloader
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
  FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-warehouse-ros (2.0.4-4jammy) jammy; urgency=high

  * Updated tf2_geometry_msgs.h to tf2_geometry_msgs.hpp  (#85 <https://github.com/ros-planning/warehouse_ros/issues/85>)
  * Contributors: Diego Rojas, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 26 Sep 2021 16:00:00 -0000

ros-iron-warehouse-ros (2.0.3-4jammy) jammy; urgency=high

  * Fix OpenSSL export, use package.xml format 3 (#83 <https://github.com/ros-planning/warehouse_ros/issues/83>)
  * Contributors: Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 28 Jun 2021 16:00:00 -0000

ros-iron-warehouse-ros (2.0.2-4jammy) jammy; urgency=high

  * Use ament_export_targets to fix exporting dependencies (#80 <https://github.com/ros-planning/warehouse_ros/issues/80>)
  * Sync with kinetic-devel branch up-to https://github.com/ros-planning/warehouse_ros/commit/25c94751a96b02e46859fec36915c9e8f38106e5 (#78 <https://github.com/ros-planning/warehouse_ros/issues/78>)
  * Fix MD5 calculation (#79 <https://github.com/ros-planning/warehouse_ros/issues/79>)
    MD5 checksums may contain NULLs, but are not guaranteed to be zero-terminated.
    Co-authored-by: Bjar Ne <mailto:gleichdick@users.noreply.github.com>
  * [ROS2] Add prerelease tests (#76 <https://github.com/ros-planning/warehouse_ros/issues/76>)
  * Add Galactic CI (#75 <https://github.com/ros-planning/warehouse_ros/issues/75>)
  * Fix building on windows (#73 <https://github.com/ros-planning/warehouse_ros/issues/73>)
  * Contributors: Akash, Bjar Ne, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 28 Jun 2021 16:00:00 -0000

ros-iron-warehouse-ros (2.0.1-4jammy) jammy; urgency=high

  * List OpenSSL as build depend (#68 <https://github.com/ros-planning/warehouse_ros/issues/68>)
  * Update CI and add Rolling Test (#69 <https://github.com/ros-planning/warehouse_ros/issues/69>)
  * Add badges for CI to README (#62 <https://github.com/ros-planning/warehouse_ros/issues/62>)
  * Add python black formatter to pre-commit (#66 <https://github.com/ros-planning/warehouse_ros/issues/66>)
  * Add copyright notices and test (#53 <https://github.com/ros-planning/warehouse_ros/issues/53>)
  * Add github actions ci using industrial_ci (#54 <https://github.com/ros-planning/warehouse_ros/issues/54>, #55 <https://github.com/ros-planning/warehouse_ros/issues/55>)
    * Enable ccache (#56 <https://github.com/ros-planning/warehouse_ros/issues/56>, #61 <https://github.com/ros-planning/warehouse_ros/issues/61>, #65 <https://github.com/ros-planning/warehouse_ros/issues/65>)
  * Contributors: Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 16:00:00 -0000

ros-iron-warehouse-ros (2.0.0-4jammy) jammy; urgency=high

  * [maint] Fix -Wcast-qual compile warnings (#49 <https://github.com/ros-planning/warehouse_ros/issues/49>)
  * [ros2-migration] Port to ROS 2 (#48 <https://github.com/ros-planning/warehouse_ros/issues/48>)
    * Migrate CMakeLists.txt, package.xml to ROS 2
    * ROS 2 API Migration (Logging, messages, node, tf2)
    * Implement ROS 2 message serialization
    * Hotfix for MD5sum message type matching
    * Enable CI: clang-format, ament_lint on Foxy
  * Contributors: Yu Yan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 19 Nov 2020 16:00:00 -0000

ros-iron-warehouse-ros (0.9.4-4jammy) jammy; urgency=high

  * Cleanup: fix catkin_lint warnings, remove obsolete test folder
  * Fix unused-parameter warnings (#44 <https://github.com/ros-planning/warehouse_ros/issues/44>)
  * Bump required cmake version (#45 <https://github.com/ros-planning/warehouse_ros/issues/45>)
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 24 Apr 2020 16:00:00 -0000

ros-iron-warehouse-ros (0.9.3-4jammy) jammy; urgency=high

  * Fix const char* -> std::string conversion
  * Fix install location for warehouse_ros. (#43 <https://github.com/ros-planning/warehouse_ros/issues/43>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 17 Aug 2019 16:00:00 -0000

ros-iron-warehouse-ros (0.9.2-4jammy) jammy; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 06 Dec 2018 16:00:00 -0000

ros-iron-warehouse-ros (0.9.1-4jammy) jammy; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 16 Oct 2018 16:00:00 -0000

ros-iron-warehouse-ros (0.9.0-4jammy) jammy; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 19 Jun 2016 16:00:00 -0000

ros-iron-warehouse-ros (0.8.8-4jammy) jammy; urgency=high



=== debian/control ===
Source: ros-iron-warehouse-ros
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libssl-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-copyright <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-geometry-msgs, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-iron-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libssl-dev, ros-iron-geometry-msgs, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: Persistent storage of ROS messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-warehouse-ros//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
